Subject: bug#30254: closed (Re: bug#30254: [PATCH 0/3] guix environment --user, --link-profile, --no-cwd)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Jul 2021 13:19:02 +0000

Your bug report

#30254: [PATCH 0/3] guix environment --user, --link-profile, --no-cwd

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30254: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30254
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30254: [PATCH 0/3] guix environment --user, --link-profile, --no-cwd
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, Mike Gerwitz <[email-masked]>, [email-masked], "[email-masked]" <[email-masked]>, Carl Dong <[email-masked]>
Date: Wed, 14 Jul 2021 09:18:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> Carl Dong <[email-masked]> skribis:
>
>>> Good catch! The patches LGTM. (Note: you can use the ‘Co-authored-by’ tag for
>>> the second patch, I think it’s a more or less common convention.)
>>
>> Done! Updated at the same link as last time:
>> https://github.com/dongcarl/guix/compare/8e92d5465fc154fed5d06f7e4a64d7dcccded74d...2019-06-env-no-cwd-fix.patch
>
> Alright!
>
>>> Speaking of which, could you create an account on Savannah? That way we could
>>> grant you commit access to make it more convenient for you and so you can
>>> review and apply other people’s patches in your areas of expertise.

[...]

> Cool, I’ve added you to the Savannah group.  You can now push these two
> patches to test it.

Seems the patches have indeed been pushed :-).

Closing.

Maxim

Subject: [PATCH 0/3] guix environment --user, --link-profile, --no-cwd
From: Mike Gerwitz <[email-masked]>
To: [email-masked]
Cc: David Thompson <[email-masked]>
Date: Thu, 25 Jan 2018 22:29:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On help-guix I initiated a conversation on using IceCat within a container
(<[email-masked]>).  This covers some of the lower-level concepts I
was thinking off.  Specifically:

0. The ability to hide the user (and home directory) from procsses within the
   container.  This includes rewritting mapped paths;
1. Suppressing the behavior of automatically sharing cwd; and
2. Linking $GUIX_ENVIRONMENT to ~/.guix-profile.

The first two are for privacy (#1 is for conveinence, since creating an empty
dir just to cd into it is a bit klugy as a workaround).  #2 was motivated by
my needs with font-config, but I can imaging that it'd be useful elsewhere
as well.  It only really makes sense if you're not sharing your home
directory.

Mike Gerwitz (3):
  scripts: environment: Add --link-profile.
  scripts: environment: Add --user.
  scripts: environment: Add --no-cwd.

 doc/guix.texi                |  59 +++++++++++++-
 guix/scripts/environment.scm | 178 +++++++++++++++++++++++++++++++++++--------
 tests/guix-environment.sh    |  30 ++++++++
 3 files changed, 233 insertions(+), 34 deletions(-)

-- 
2.15.1